## org.eclipse.amp.agf
Class EditPartSelectionSynchronizer

    java.lang.Object
      org.eclipse.amp.axf.view.SelectionSynchronizer
          org.eclipse.amp.agf.EditPartSelectionSynchronizer

All Implemented Interfaces:
  org.eclipse.jface.viewers.ISelectionChangedListener

    public class EditPartSelectionSynchronizer

extends SelectionSynchronizer

An implementation of selection synchronizer supporting edit parts, viewers and generic objects.

Constructor Summary
`EditPartSelectionSynchronizer()`

Method Summary

Methods inherited from class org.eclipse.amp.axf.view.SelectionSynchronizer
`addViewer, removeViewer, replace, selectionChanged, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditPartSelectionSynchronizer

    public EditPartSelectionSynchronizer()